<?php

use EventPortal\Domain\Address\Models\Address;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Address::class, static function ($faker) {
    return [
        'line_1' => $faker->streetAddress,
        'country' => $faker->countryCode,
        'area_code' => $faker->postcode,
    ];
});

$factory->state(Address::class, 'snapshot', static function () {
    return [
        'line_1' => '123 Fake Street',
        'line_2' => 'Knotreel Borough',
        'line_3' => 'VA',
        'city' => 'Milan',
        'area' => 'The Shire',
        'country' => 'Plumage',
        'area_code' => 'DY10 4EU',
    ];
});
