<?php

use EventPortal\Domain\Agenda\Models\Agenda;
use EventPortal\Domain\Agenda\Models\Pathway;
use Faker\Generator as Faker;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Pathway::class, static function (Faker $faker) {
    return [
        'pathwayable_id' => function () {
            return factory(Agenda::class)->create()->id;
        },
        'pathwayable_type' => Agenda::class,
        'name' => $faker->word,
        'description' => $faker->words(4, true),
    ];
});
