<?php

namespace EventPortal\Domain\Agenda;

use EventPortal\Domain\Agenda\DataObject\Agenda as AgendaObject;
use EventPortal\Domain\Agenda\Models\Agenda;
use EventPortal\Domain\Event\Models\Event;

class Agendas
{
    public function forEvent(Event $event): array
    {
        return Agenda::forEvent($event)
            ->with([
                'pathways.sessions.eventVenue',
                'pathways.sessions.eventSpeakers',
            ])
            ->orderBy('date')
            ->get()
            ->mapInto(AgendaObject::class)
            ->toArray();
    }
}
